## Mixminion-0.0.6.2.tar.gz

=== Makefile ===
# Copyright 2002-2003 Nick Mathewson.  See LICENSE for licensing information.
# $Id: Makefile,v 1.60 2003/12/14 03:25:24 weasel Exp $

# Okay, we'll start with a little make magic.   The goal is to define the
# make variable '$(FINDPYTHON)' as a chunk of shell script that sets
# the shell variable '$PYTHON' to a working python2 interpreter.
#
# (This is nontrivial because not all python2 installers install a command
# called 'python2'.)
#
# (If anybody can think of a better way to do this, please let me know.)

# XXXX This fails when PYTHON is set to a version of Python earlier than 1.3

PYTHON_CANDIDATES = python python2.3 python2.3x python2.2 python2.2x python2.1\
        python2.1x python2.0 python2.0x python2
FINDPYTHON = \
   if [ "x`which which`" = "x" ]; then                                       \
        echo "Ouch!  I couldn't run 'which' on your system.";                \
        echo "Please make sure it is there, and try again.";                 \
        exit;                                                                \
   fi;                                                                       \
   if [ 'x' = "x$$PYTHON" ]; then                                            \
	for n in $(PYTHON_CANDIDATES) ; do                                   \
	  if [ 'x' = "x$$PYTHON" ]; then                                     \
            if [ -x "`which $$n 2>&1`" ]; then                               \
	      if [ 'x' != "`$$n -V 2>&1 | grep 'Python [23456789]'`x" ]; then\
	        PYTHON=$$n;                                                  \
              fi;                                                            \
            fi;                                                              \
          fi;	                                                             \
	done;                                                                \
	if [ 'x' = "x$$PYTHON" ]; then                                       \
	    echo "ERROR: couldn't find Python 2 or later on PATH as any of ";\
	    echo "   $(PYTHON_CANDIDATES) in PATH";                          \
	    echo "   Please install python in your path, or set the PYTHON"; \
            echo '   environment variable';                                  \
	    exit;                                                            \
        fi;                                                                  \
	if [ 'x' = "`$$PYTHON -V 2>&1 | grep 'Python [23456789]'`x" ]; then  \
	   echo "WARNING: $$PYTHON doesn't seem to be version 2 or later.";  \
	   echo ' If this fails, please set the PYTHON environment variable.';\
	fi                                                                   \
   fi

#
# Here are the real make targets.
#
all: do_build

do_build:
	@$(FINDPYTHON); \
	echo $$PYTHON setup.py build; \
	$$PYTHON -tt setup.py build

clean:
	@$(FINDPYTHON); \
	echo $$PYTHON -tt setup.py clean; \
	$$PYTHON -tt setup.py clean
	rm -rf build dist
	rm -f MANIFEST
	rm -f lib/mixminion/_unittest.py
	rm -f lib/mixminion/_textwrap.py
	rm -f lib/mixminion/_zlibutil.py
	rm -f lib/mixminion/*.pyc
	rm -f lib/mixminion/*.pyo
	rm -f lib/mixminion/*/*.pyc
	rm -f lib/mixminion/*/*.pyo
	find . -name '*~' -print0 |xargs -0 rm -f
	find . -name '.#*' -print0 |xargs -0 rm -f
	find . -name '*.bak' -print0 |xargs -0 rm -f

test:
	@$(FINDPYTHON); \
	echo $$PYTHON -tt setup.py run --subcommand=unittests; \
	$$PYTHON -tt setup.py run --subcommand=unittests

time:
	@$(FINDPYTHON); \
	echo $$PYTHON setup.py run --subcommand=benchmarks; \
	$$PYTHON -tt setup.py run --subcommand=benchmarks

testvectors:
	@$(FINDPYTHON); \
	echo $$PYTHON setup.py run --subcommand=testvectors; \
	$$PYTHON -tt setup.py run --subcommand=testvectors

#======================================================================
# Install target (minimal.)


install: do_build
	@$(FINDPYTHON);                                                      \
	ARGS="install --compile --optimize=1 --force";                       \
	if [ 'x' != "x$(PREFIX)" ] ; then                                    \
	  PREFIX=$(PREFIX); export PREFIX;                                   \
	  ARGS="$$ARGS --prefix=$(PREFIX)";                                  \
	fi;                                                                  \
	if [ 'x' != "x$(DESTDIR)" ] ; then                                   \
	  ARGS="$$ARGS --root=$(DESTDIR)";                                   \
        fi;                                                                  \
	echo $$PYTHON -tt setup.py $$ARGS;                                   \
	$$PYTHON -tt setup.py $$ARGS

update:
	@$(FINDPYTHON);                                                      \
	PYVER=`$$PYTHON -c 'import sys; print sys.version[:3]'`;             \
	if [ 'x' = "x$(PREFIX)" ] ; then                                     \
	  PFX=`$$PYTHON -c 'import sys; print sys.prefix'`;                  \
	  LIB=$$PFX/lib/python$$PYVER/site-packages/mixminion;               \
	else                                                                 \
	  LIB=$(PREFIX)/lib/python$$PYVER/site-packages/mixminion;           \
	fi;                                                                  \
	if [ ! -d $$LIB ] ; then                                             \
	  echo "Didn't find an existing installation in $$LIB; bailing.";    \
	elif [ ! -w $$LIB ] ; then                                           \
	  echo "You don't seem to have write access to $$LIB; bailing.";     \
	else                                                                 \
          rm -rf $$LIB;                                                      \
	  $(MAKE) install;                                                   \
	fi

upgrade: update

#======================================================================
#  Uninstall target (phony.)

uninstall:
	@echo "Sorry, I don't do that yet... but if you run";                \
	echo "'make uninstall-help', I might be able to offer some advice."

uninstall-help:
	@$(FINDPYTHON);                                                      \
	PYVER=`$$PYTHON -c 'import sys; print sys.version[:3]'`;             \
	if [ 'x' = "x$(PREFIX)" ] ; then                                     \
	  EPFX=`$$PYTHON -c 'import sys; print sys.exec_prefix'`;            \
	  PFX=`$$PYTHON -c 'import sys; print sys.prefix'`;                  \
	  BIN=$$EPFX/bin/mixminon;                                           \
	  LIB=$$PFX/lib/python$$PYVER/site-packages/mixminion;               \
	else                                                                 \
	  BIN=$(PREFIX)/bin/mixminion;                                       \
	  LIB=$(PREFIX)/lib/python$$PYVER/site-packages/mixminion;           \
	fi;                                                                  \
	echo "Sorry, but I'm too cowardly to remove files for you.";         \
	echo "To remove your installation of mixminion, I think you should"; \
	echo "delete:";                                                      \
	echo "    * The file $$BIN";                                         \
	echo "    * All the files under $$LIB";                              \
	echo;                                                                \
	if [ 'x' = "x$(PREFIX)" ] ; then                                     \
	  echo "(But if you installed with 'make install PREFIX=XX', you";   \
	  echo "should run 'make uninstall-help PREFIX=XX' to get the real"; \
	  echo "story.)";                                                    \
	else                                                                 \
	  echo "(But if you installed without PREFIX, you should run";       \
	  echo "'make uninstall-help' without PREFIX to get the real story)";\
	fi

#======================================================================
# Source dist target

sdist: clean
	@$(FINDPYTHON); \
	echo $$PYTHON -tt setup.py sdist; \
	$$PYTHON -tt setup.py sdist; \
	VERSION=`ls dist/*.tar.gz | sed -e s/.*-// | sed -e s/.tar.gz//`; \
	cp README dist/README-$$VERSION

signdist: sdist
	gpg -ba dist/Mixminion*.tar.gz

#======================================================================
# Packaging related targets

# create a Debian package
# requires you installed at least build-essential, fakeroot, and
# whatever is listed as Build-Depends: in debian/control.
bdist_debian:
	dpkg-buildpackage -rfakeroot -uc -us

#======================================================================
# OpenSSL-related targets

OPENSSL_URL = ftp://ftp.openssl.org/source/openssl-0.9.7c.tar.gz
OPENSSL_FILE = openssl-0.9.7c.tar.gz
OPENSSL_SRC = ./contrib/openssl
OPENSSL_SHA = 80cbd896850455d09544cc05e01b147b3e85399e
# I have verified that the above digest matches the tarball signed by the
# openssl maintainer.  If you are paranoid, you should doublecheck. -Nick.

download-openssl:
	@if [ -x "`which wget 2>&1`" ] ; then                             \
	  cd contrib; wget $(OPENSSL_URL);                                \
        elif [ -x "`which curl 2>&1`" ] ; then                            \
	  cd contrib; curl -o $(OPENSSL_FILE) $(OPENSSL_URL);             \
	else                                                              \
          echo "I can't find wget or curl.  I can't download openssl.";   \
	fi

destroy-openssl:
	cd ./contrib; \
	rm -rf `ls -d openssl* | grep -v .tar.gz`

build-openssl: $(OPENSSL_SRC)/libcrypto.a

$(OPENSSL_SRC)/libcrypto.a: $(OPENSSL_SRC)/config
	cd $(OPENSSL_SRC); \
	./config; \
	make

./contrib/openssl/config:
	$(MAKE) unpack-openssl

# This target assumes you have openssl-foo.tar.gz in contrib, and you
# want to unpack it into ./contrib/openssl-foo, and symlink ./openssl to
# ./openssl-foo.
#
# It checks 1) whether there is a single, unique openssl-foo.tar.gz
#           2) whether contrib/openssl is a real file or directory
unpack-openssl:
	@$(FINDPYTHON);                                                     \
	cd ./contrib;                                                       \
	if [ -d ./openssl -a ! -h ./openssl ]; then                         \
	    echo "Ouch. contrib/openssl seems not to be a symlink: "        \
	         "I'm afraid to delete it." ;                               \
	    exit;                                                           \
	fi;                                                                 \
	if [ -f $(OPENSSL_FILE) ]; then                                     \
            SHA=`$$PYTHON -c "import sha;print sha.sha(open(\"$(OPENSSL_FILE)\").read()).hexdigest()"`; \
	    if [ "$$SHA" != "$(OPENSSL_SHA)" ]; then                        \
                echo "Unexpected digest on $(OPENSSL_FILE)!";               \
	        exit;                                                       \
            fi;                                                             \
	    echo "Digest on $(OPENSSL_FILE) is correct.";                   \
	else                                                                \
            echo "Found unexpected version of $(OPENSSL_FILE); not checking digest."; \
	fi;                                                                 \
	TGZ=`ls openssl-*.tar.gz` ;                                         \
	if [ "x$$TGZ" = "x" ]; then                                         \
	    echo "I didn't find any openssl-*.tar.gz in ./contrib/";        \
	    echo "Try 'make download-openssl'.";                            \
	    exit;                                                           \
	fi;                                                                 \
	for n in $$TGZ; do                                                  \
	    if [ $$n != "$$TGZ" ]; then                                     \
	        echo "Found more than one openssl-*.tar.gz in ./contrib/";  \
	        echo "(Remove all but the most recent.)";                   \
		exit;                                                       \
	    fi;                                                             \

=== debian/changelog ===
mixminion (0.0.5+0.0.6.cvs) unreleased; urgency=low

  * Initial Release (closes: #176539).

 -- Peter Palfrader <weasel@debian.org>  Sat,  8 Nov 2003 11:07:43 +0100

=== debian/control ===
Source: mixminion
Section: net
Priority: optional
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 4.1.65), libssl-dev (>=0.9.7), python2.3, python2.3-dev, dpatch
Standards-Version: 3.6.1

Package: mixminion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, logrotate
Suggests: tor, anon-proxy, mixmaster
Description: Anonymous remailer client and server for the Type III network
 Mixminion is the standard implementation of the Type III anonymous remailer
 protocol, which lets you send very anonymous email.  This best-of-breed
 remailer uses conservative design approaches to provide security against most
 known attacks.
 .
 The latest information can be found at http://mixminion.net/, or on the
 mailing list, archived at http://archives.seul.org/mixminion/dev/.
 .
 This is a testing alpha release.  You will probably only want to use it if
 you are technically inclined, curious, and interested in helping the
 Mixminion development effort.
 .
 WARNING!  Do NOT use this release if you require strong anonymity.  It has
 known deficiencies, including some that make it possible for an adversary
 to trace your message through the system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_COMPAT=4
export PYTHON=python2.3
export PACKAGE=mixminion

include /usr/share/dpatch/dpatch.make

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=0
else
	OPTIMIZE=1
endif

ifneq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	RUNUNITTESTS=0
else
	RUNUNITTESTS=1
endif

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	#$(MAKE)
	$(PYTHON) -tt setup.py build

	@echo
	@echo Running unit tests.
	@echo
	@if [ $(RUNUNITTESTS) -gt 0 ]; then \
		$(PYTHON) -tt setup.py run --subcommand=unittests; \
	else \
		echo "Skipping."; \
	fi
	@echo

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#$(MAKE) install PREFIX=$(CURDIR)/debian/mixminion/usr
	$(PYTHON) setup.py install --optimize=$(OPTIMIZE) --force --root=$(CURDIR)/debian/mixminion
	install -m 644 etc/mixminiond.conf $(CURDIR)/debian/mixminion/etc/mixminion
	install -m 644 etc/blacklist.conf $(CURDIR)/debian/mixminion/etc/mixminion


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python -V 2.3
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
